"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const Game_1 = require("./Game");
const Character_1 = require("./Character");
let G;
let character;
beforeAll(async () => {
    G = await Game_1.Game.getGData();
    character = new Character_1.Character(undefined, undefined, undefined, G, { region: "ASIA", name: "I", addr: "test", port: 0, players: 0, key: "ASIAI" });
}, 30000);
afterAll(async () => {
    Game_1.Game.disconnect();
});
test("Character.calculateItemCost", async () => {
    expect(G.items.scroll0.g).toBe(1000);
    expect(G.items.scroll1.g).toBe(40000);
    expect(G.items.pants.g).toBe(7800);
    expect(G.items.dexring.g).toBe(24000);
    expect(character.calculateItemCost({ name: "scroll0" })).toBe(1000);
    expect(character.calculateItemCost({ name: "scroll1" })).toBe(40000);
    expect(character.calculateItemCost({ name: "pants", level: 0 })).toBe(7800);
    expect(character.calculateItemCost({ name: "pants", level: 1 })).toBe(8800);
    expect(character.calculateItemCost({ name: "pants", level: 2 })).toBe(9800);
    expect(character.calculateItemCost({ name: "pants", level: 3 })).toBe(10800);
    expect(character.calculateItemCost({ name: "pants", level: 4 })).toBe(11800);
    expect(character.calculateItemCost({ name: "pants", level: 5 })).toBe(12800);
    expect(character.calculateItemCost({ name: "pants", level: 6 })).toBe(13800);
    expect(character.calculateItemCost({ name: "pants", level: 7 })).toBe(53800);
    expect(character.calculateItemCost({ name: "dexring", level: 0 })).toBe(24000);
    expect(character.calculateItemCost({ name: "dexring", level: 1 })).toBe(78400);
    expect(character.calculateItemCost({ name: "dexring", level: 2 })).toBe(241600);
    expect(character.calculateItemCost({ name: "dexring", level: 3 })).toBe(964800);
    expect(character.calculateItemCost({ name: "dexring", level: 4 })).toBe(3134400);
    expect(character.calculateItemCost({ name: "dexring", level: 5 })).toBe(18603200);
});
//# sourceMappingURL=Character.test.js.map