import { DamageType, GData, MapName, MonsterName, SkillName, StatusInfo } from "./definitions/adventureland";
import { ActionData, EntityData } from "./definitions/adventureland-server";
import { PingCompensatedCharacter } from "./PingCompensatedCharacter";
export declare class Entity implements EntityData {
    protected G: GData;
    id: string;
    type: MonsterName;
    abs: boolean;
    angle: number;
    armor: number;
    cid: number;
    frequency: number;
    going_x: number;
    going_y: number;
    move_num: any;
    moving: boolean;
    resistance: number;
    target: string;
    x: number;
    y: number;
    s: StatusInfo;
    abilities: {
        [T in SkillName]?: any;
    };
    level: number;
    max_hp: number;
    max_mp: number;
    map: MapName;
    "1hp": boolean;
    apiercing: number;
    attack: number;
    charge: number;
    cooperative: boolean;
    damage_type: DamageType;
    evasion: number;
    hp: number;
    immune: boolean;
    mp: number;
    range: number;
    reflection: number;
    rpiercing: number;
    speed: number;
    xp: number;
    constructor(data: EntityData, map: MapName, G: GData);
    updateData(data: EntityData): void;
    isAttackingPartyMember(player: PingCompensatedCharacter): boolean;
    isAttackingUs(player: PingCompensatedCharacter): boolean;
    isTauntable(by: PingCompensatedCharacter): boolean;
    willBurnToDeath(): boolean;
    willDieToProjectiles(projectiles: Map<string, ActionData>): boolean;
}
