import { Graph, Link, Node } from "ngraph.graph";
import path from "ngraph.path";
import { GData, MapName, IPosition, DoorInfo } from "./definitions/adventureland";
import { Grids, Grid, LinkData, NodeData } from "./definitions/pathfinder";
export declare class Pathfinder {
    protected static G: GData;
    protected static FIRST_MAP: MapName;
    protected static TRANSPORT_COST: number;
    protected static TOWN_COST: number;
    protected static grids: Grids;
    protected static graph: Graph<NodeData, LinkData>;
    protected static path: path.PathFinder<NodeData>;
    protected static doorDistance(a: {
        x: number;
        y: number;
        map?: MapName;
    }, b: DoorInfo): number;
    protected static addLinkToGraph(from: Node<NodeData>, to: Node<NodeData>, data?: LinkData): Link<LinkData>;
    protected static addNodeToGraph(map: MapName, x: number, y: number): Node<NodeData>;
    static canWalk(from: IPosition, to: IPosition): boolean;
    static computePathCost(path: LinkData[]): number;
    static getGrid(map: MapName): Grid;
    protected static findClosestNode(map: MapName, x: number, y: number): Node<NodeData>;
    static findClosestSpawn(map: MapName, x: number, y: number): {
        map: MapName;
        x: number;
        y: number;
        distance: number;
    };
    static getPath(from: NodeData, to: NodeData): LinkData[];
    static getSafeWalkTo(from: IPosition, to: IPosition): IPosition;
    static prepare(startMap?: MapName): Promise<void>;
}
