import { Character } from "./Character";
import { CharacterType, GData, MapName, SlotInfo, StatusInfo } from "./definitions/adventureland";
import { PlayerData } from "./definitions/adventureland-server";
export declare class Player implements PlayerData {
    protected G: GData;
    id: string;
    ctype: CharacterType;
    abs: boolean;
    angle: number;
    armor: number;
    attack: number;
    cid: number;
    frequency: number;
    going_x: number;
    going_y: number;
    level: number;
    move_num: any;
    moving: boolean;
    party: string;
    resistance: number;
    target: string;
    x: number;
    y: number;
    s: StatusInfo;
    c: any;
    cx: any;
    focus?: string;
    hp: number;
    max_hp: number;
    max_mp: number;
    mp: number;
    npc?: string;
    owner: string;
    pdps: number;
    q: {
        compound?: {
            len: number;
            ms: number;
            num: number;
            nums: number[];
        };
        upgrade?: {
            len: number;
            ms: number;
            num: number;
        };
    };
    range: number;
    rip: boolean;
    skin: string;
    slots: SlotInfo;
    speed: number;
    stand?: boolean | "cstand" | "stand0";
    tp?: boolean;
    in: MapName;
    map: MapName;
    constructor(data: PlayerData, map: MapName, G: GData);
    updateData(data: PlayerData): void;
    isFriendly(bot: Character): boolean;
}
